/* construtor da classe */
function QuestionarioPerguntas() {
    var self = this;

    if($(".questionario").val() !== ''){
        self.getEtapas($(".questionario").val());
    }
    $(".questionario").on('change', function(){
        self.getEtapas($(this).val());
    });

    $(".add-resposta").on("click", function(e){
        e.preventDefault();
        self.AddResposta();
    });

    $(document).on("click", ".excluir-resposta", function(e){
        e.preventDefault();
        if(confirm('Tem certeza que deseja excluir este item?')) {
            $(this).parents(".pergunta-resposta").remove();
        }
    });

    $("#submit_button").click(function() {
        $(this).prop("disabled",true).parents("form").submit();
    });

}
QuestionarioPerguntas.prototype.getEtapas = function(questionario){

        $.ajax({
            type: 'get',
            url: 'index.php?r=questionarioPerguntas/getEtapas',
            data: {questionario: questionario},
        })
        .done(function(data, status, xhr) {
            $("#QET_TITULO option").remove();
            $($.parseJSON(data)).each(function (index, o) {

                var selected = "";

                if ( $("#etapa-hidden").val() !== '' && $("#etapa-hidden").val() == o.id) {
                    var selected = "selected=selected";
                }

                $("#QET_TITULO").append("<option value='"+o.id+"' "+selected+"> "+o.valor+"</option>");
            });
        })
        .fail(function(a,b,c) {
            console.log(b);
        });
}

QuestionarioPerguntas.prototype.AddResposta = function(){
    var baseUrl = $("#baseUrl").val();
    $.post(baseUrl+'/index.php?r=questionarioPerguntas/AddResposta', {}, function (data) {
        $('.respostas').append(data);
    });
}
